e-Próspera
Reference

Get natural-person residency status

View as Markdown
GET
/api/v1/me/natural-person/residency

Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.

Authorization

AuthorizationBearer <token>

In: header

Scope: eprospera:person.residency.read

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/me/natural-person/residency"
{  "wasEverResident": true,  "activeResidency": {    "effectiveDate": "2019-08-24T14:15:22Z",    "terminationDate": "2019-08-24T14:15:22Z",    "residencyType": "Limited e-Resident",    "version": "string"  }}